Get Cross Store Product Revenue
HTTPBearerAuthorizationBearer <token>date_from*Date FromFirst shop calendar day of the period (inclusive).
datedate_to*Date ToLast shop calendar day of the period (inclusive); at most tomorrow (UTC); the period is at most 366 days inclusive.
datecurrency?|Currency to convert all stores into; defaults to the organization's default currency, else the most common shop currency.
store_ids?array<integer>|Only these organization stores; an unknown, foreign or deleted id answers 404. Repeated values: ?store_ids=12&store_ids=17
vendor?array<string>|Only sales of linked products with any of these vendors (OR within field)
product_type?array<string>|Only sales of linked products with any of these product types (OR within field)
subtract_refunds?Subtract RefundsSubtract refunds (RETURN sales) on the day of the refund. False: RETURN sales count in no amount; orders and units are unchanged.
truelimit?LimitAt most this many products, biggest net first.
1 <= value <= 25050Successful Response
application/json- response
Top products by net revenue over the filtered stores, converted into currency at today's rate; only products with a fact in the period.
currency*|nullcount*CountProducts with a fact in the period before limit.
data*array<>curl -X GET 'https://app.copyhero.app/api/v1/analytics/store-revenue/products?date_from=2019-08-24&date_to=2019-08-24'{ "currency": "AED", "count": 0, "data": [ { "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598", "title": "string", "image_url": "string", "net": "string", "orders": 0, "units": 0, "store_count": 0 } ]}